Query Proposed Segmentation Objects
Retrieves a paginated list of proposed segmentation objects generated during segmentation analysis. Segmentation objects represent logical entities (applications, tiers, environments, regions, zones, infrastructure services) that may span multiple sites.
Notes
- Only meaningful after
ANALYSIS_SUCCESSelse will return error if queried before - Supported sort_by values: displayName (default)
- The
idof each returned object is theproposed-segmentation-object-id - Used in subsequent calls
- Proposed segmentation objects internally contain a list of the groups that will be created on nsx when publish is initiated
- Publishing a segmentation object publishes all of its
proposed_groups; individual group publication is not supported through this schema - Returns 200 on success
Unique identifier of the segmentation session
Query parameters for filtering, sorting, and pagination
{
"site_ids": [
"123a456b-123c-456d-89ab-cdef12345678"
],
"offset": 0,
"page_size": 1000,
"sort_ascending": false,
"sort_by": "displayName",
"segmentation_object_type": [
"ENVIRONMENT"
]
}
Successfully retrieved proposed segmentation objects
{
"offset": 0,
"number_of_results": 2,
"total_result_count": 2,
"total_pages": 1,
"sort_ascending": false,
"sort_by": "displayName",
"results": [
{
"publish_action": "NONE",
"_create_user": "admin",
"_create_time": 1781139862075,
"_last_modified_user": "admin",
"_last_modified_time": 1781139862075,
"_revision": 0,
"id": "9177843080852596293",
"display_name": "US-Central_Chicago_Dev",
"site_ids": [],
"segmentation_object_type": "ENVIRONMENT",
"hierarchy_tags": [
{
"scope": "region",
"tag": "US-Central"
},
{
"scope": "zone",
"tag": "Chicago"
},
{
"scope": "environment",
"tag": "Dev"
}
],
"proposed_groups": [
{
"_create_user": "admin",
"_create_time": 1781139862075,
"_last_modified_user": "admin",
"_last_modified_time": 1781139862075,
"_revision": 0,
"id": "7969112174331119015",
"display_name": "US-Central_Chicago_Dev",
"site_ids": [
"abcdef12-abcd-ef12-abcd-ef1234567890"
],
"group_path": "/infra/domains/default/groups/ef9fdbe2-fcf7-3704-9b9a-27f6209f0aa0",
"object_count_per_type": [
{
"type": "VIRTUAL_MACHINE",
"count": 3
}
],
"group_action": "CREATE",
"publish_status_info": {
"publish_status": "READY_TO_PUBLISH"
},
"current_effective_vm_count": 0,
"projected_effective_vm_count": 3
}
],
"publish_status": "READY_TO_PUBLISH",
"parent_id": "-3076270068264231186"
},
{
"publish_action": "NONE",
"_create_user": "admin",
"_create_time": 1781139862075,
"_last_modified_user": "admin",
"_last_modified_time": 1781139862075,
"_revision": 0,
"id": "-4319949931050804959",
"display_name": "Canada_Toronto_Dev",
"site_ids": [],
"segmentation_object_type": "ENVIRONMENT",
"hierarchy_tags": [
{
"scope": "region",
"tag": "Canada"
},
{
"scope": "zone",
"tag": "Toronto"
},
{
"scope": "environment",
"tag": "Dev"
}
],
"proposed_groups": [
{
"_create_user": "admin",
"_create_time": 1781139862075,
"_last_modified_user": "admin",
"_last_modified_time": 1781139862075,
"_revision": 0,
"id": "3402284452046692786",
"display_name": "Canada_Toronto_Dev",
"site_ids": [
"abcdef12-abcd-ef12-abcd-ef1234567890"
],
"group_path": "/infra/domains/default/groups/d2aa7de5-6ca0-3185-9d49-18455aceb7a4",
"object_count_per_type": [
{
"type": "VIRTUAL_MACHINE",
"count": 3
}
],
"group_action": "CREATE",
"publish_status_info": {
"publish_status": "READY_TO_PUBLISH"
},
"current_effective_vm_count": 0,
"projected_effective_vm_count": 3
}
],
"publish_status": "READY_TO_PUBLISH",
"parent_id": "-6704679072355221679"
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-segmentation-objects